diff options
author | Nikos Mavrogiannopoulos <nmav@gnutls.org> | 2014-11-06 20:21:15 +0100 |
---|---|---|
committer | Nikos Mavrogiannopoulos <nmav@gnutls.org> | 2014-11-06 20:21:15 +0100 |
commit | 7570b6caf9a8af8c52762e0c5f4323d4944fa20d (patch) | |
tree | 1d15140b21fa57c106a82ecbc52cbe2da949d1ec /tests | |
parent | 5106073ce1160a9441d49e22b31f279c473808be (diff) | |
download | gnutls-7570b6caf9a8af8c52762e0c5f4323d4944fa20d.tar.gz |
fixed polarssl compatibility checks on debian
Diffstat (limited to 'tests')
-rwxr-xr-x | tests/suite/testcompat-main-polarssl | 20 |
1 files changed, 12 insertions, 8 deletions
diff --git a/tests/suite/testcompat-main-polarssl b/tests/suite/testcompat-main-polarssl index d97c5b6cb9..2ac7956dfe 100755 --- a/tests/suite/testcompat-main-polarssl +++ b/tests/suite/testcompat-main-polarssl @@ -35,7 +35,11 @@ fi . $srcdir/../scripts/common.sh PORT="${PORT:-$RPORT}" +if test -x /usr/bin/polarssl_ssl_client2;then +POLARSSL_CLI="/usr/bin/polarssl_ssl_client2" +else POLARSSL_CLI="/usr/libexec/polarssl/ssl_client2" +fi TXT=`$CLI --priority NORMAL --list|grep SECP224` if test -z $TEXT;then @@ -44,21 +48,21 @@ else ALL_CURVES=1 fi -VERSION=`grep released /usr/share/doc/polarssl/ChangeLog|head -1|cut -d ' ' -f 3` -echo "Compatibility checks using polarssl "$VERSION -echo $VERSION|grep -e 1\.3\. >/dev/null 2>&1 -SV=$? -if test $SV != 0;then - echo "PolarSSL 1.3.x is required for the tests to run" +echo "Compatibility checks using polarssl" + +if ! test -x $POLARSSL_CLI;then + echo "PolarSSL is required for this test to run" exit 77 fi -if ! test -x $POLARSSL;then - echo "PolarSSL is required for this test to run" +$POLARSSL_CLI >/dev/null 2>&1 +if test $? = 0;then + echo "PolarSSL 1.3.x is required for the tests to run" exit 77 fi + . ./testcompat-common echo "" |